## dls 1.6.2.g9a3da5f

=== CMakeLists.txt ===
#-----------------------------------------------------------------------------
#
# Copyright (C) 2012-2024  Florian Pose <fp@igh.de>
#               2022       Bjarne von Horn <vh at igh dot de>
#
# This file is part of the data logging service (DLS).
#
# DLS is free software: you can redistribute it and/or modify it under the
# terms of the GNU Lesser General Public License as published by the Free
# Software Foundation, either version 3 of the License, or (at your option)
# any later version.
#
# DLS is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for
# more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with the DLS. If not, see <http://www.gnu.org/licenses/>.
#
#-----------------------------------------------------------------------------

cmake_minimum_required(VERSION 3.6)

project(dls VERSION 1.6.2)

include(CMakeDependentOption)
include(CMakePackageConfigHelpers)
include(GNUInstallDirs)
list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

option(BUILD_SHARED_LIBS "Build using shared libraries" ON)
option(BUILD_DAEMON "Build DLS Daemon" ON)
option(DLS_SERVER "Build DLS protocol server" ON)
option(DLS_PROTO_DEBUG "Debug protocol" OFF)
option(BUILD_FLTK_GUIS "Build FLTK GUIs" ON)
option(BUILD_DLS_TOOL "Build commandline tool" ON)
option(BUILD_WIDGETS "Build DLS Widgets" ON)
option(DLS_HDF5_EXPORT "Enable HDF5 Export" ON)
cmake_dependent_option(DLS_DESIGNER "Build DLS Widgets as Qt Designer Plugin" ON "BUILD_WIDGETS" OFF)
cmake_dependent_option(DLS_GUI "Build DLS GUI" ON "BUILD_WIDGETS" OFF)

# Place for dls config file, depends on linux distribution
if (NOT DLS_ENVIRONMENT_FILE_LOCATION)
    set(DLS_ENVIRONMENT_FILE_LOCATION "${CMAKE_INSTALL_FULL_SYSCONFDIR}/sysconfig")
endif()

find_package(LibXml2 REQUIRED)
find_package(PkgConfig)
pkg_check_modules(FFTW3 REQUIRED fftw3)
pkg_check_modules(PCRE REQUIRED libpcre)

set(protobuf_MODULE_COMPATIBLE ON)
find_package(Protobuf CONFIG)
if (NOT protobuf_FOUND)
    find_package(Protobuf REQUIRED MODULE)
    if (NOT TARGET protobuf::libprotobuf)
        add_library(protobuf::libprotobuf SHARED IMPORTED)
        set_target_properties(protobuf::libprotobuf PROPERTIES
            INTERFACE_INCLUDE_DIRECTORIES "${PROTOBUF_INCLUDE_DIRS}"
            IMPORTED_LOCATION "${PROTOBUF_LIBS}"
        )
    endif()
endif()

find_package(uriparser REQUIRED)
find_package(Threads REQUIRED)
find_package(ZLIB REQUIRED)
if (DLS_HDF5_EXPORT)
    find_package(HDF5 REQUIRED COMPONENTS C CXX)
endif ()

if (BUILD_WIDGETS)
    set(REQUIRED_QT_COMPONENTS Core Gui LinguistTools PrintSupport Svg Widgets Xml)
    if (DLS_DESIGNER)
        list(APPEND REQUIRED_QT_COMPONENTS Designer)
    endif()

    find_package(Qt5 REQUIRED COMPONENTS ${REQUIRED_QT_COMPONENTS})
endif()

if (NOT REVISION)
    execute_process(COMMAND sh "${CMAKE_CURRENT_SOURCE_DIR}/revision.sh" "${CMAKE_CURRENT_SOURCE_DIR}"
        OUTPUT_VARIABLE REVISION
        ERROR_VARIABLE REVISION_RESULT
        OUTPUT_STRIP_TRAILING_WHITESPACE
    )
    if (NOT ${REVISION_RESULT} EQUAL 0)
        message(FATAL_ERROR "Could not get revsision, is git installed?")
    endif()
endif()

configure_file(config_cmake.h.in "${CMAKE_CURRENT_BINARY_DIR}/config.h" @ONLY)

add_subdirectory(lib)
add_subdirectory(script)

if (BUILD_DAEMON)
    find_package(pdcom5 REQUIRED)
    add_subdirectory(daemon)
endif()
if (BUILD_FLTK_GUIS)
    find_package(FLTK REQUIRED)
    add_subdirectory(fltkguis)
endif()
if (BUILD_DLS_TOOL)
    add_subdirectory(tool)
endif()

if (BUILD_WIDGETS)
    add_subdirectory(widgets)
    if (DLS_GUI)
        add_subdirectory(gui)
    endif()
endif()

## build documentation by default, if doxygen is found

CONFIGURE_FILE(Doxyfile.in Doxyfile)

FIND_PACKAGE(Doxygen)
OPTION(BUILD_DOCS "Build documentation" ${DOXYGEN_FOUND})
IF(BUILD_DOCS)
    INSTALL(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/doxygen-output/html
        DESTINATION ${CMAKE_INSTALL_DATADIR}/doc/${LIBNAME} OPTIONAL)

    ADD_CUSTOM_TARGET(doc ALL
        ${DOXYGEN_EXECUTABLE} Doxyfile
        WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
        COMMENT "Generating API documentation with Doxygen" VERBATIM
    )
ENDIF()

=== daemon/CMakeLists.txt ===
#-----------------------------------------------------------------------------
#
# Copyright (C) 2012 - 2017  Florian Pose <fp@igh-essen.com>
#               2022         Bjarne von Horn <vh at igh dot de>
#
# This file is part of the data logging service (DLS).
#
# DLS is free software: you can redistribute it and/or modify it under the
# terms of the GNU Lesser General Public License as published by the Free
# Software Foundation, either version 3 of the License, or (at your option)
# any later version.
#
# DLS is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for
# more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with the DLS. If not, see <http://www.gnu.org/licenses/>.
#
#-----------------------------------------------------------------------------

set(DLSD_SOURCES
    globals.cpp
    Job.cpp
    JobPreset.cpp
    Logger.cpp
    main.cpp
    Message.cpp
    MessageList.cpp
    ProcLogger.cpp
    ProcMother.cpp
)

if (DLS_SERVER)
    protobuf_generate_cpp(PROTO_SRC PROTO_HDR ../proto/dls.proto)
    list(APPEND DLSD_SOURCES
        Connection.cpp
        ${PROTO_SRC}
        ${PROTO_HDR}
    )
endif()

add_executable(dlsd
    ${DLSD_SOURCES}
)

target_link_libraries(dlsd PRIVATE
    dls
    EtherLab::pdcom5
    uriparser::uriparser
    Threads::Threads
    ${LIBXML2_LIBRARIES}
)

target_compile_options(dlsd PRIVATE -Wall)

target_include_directories(dlsd PRIVATE
    "${CMAKE_CURRENT_SOURCE_DIR}/.."
    ${CMAKE_CURRENT_BINARY_DIR}
    ${LIBXML2_INCLUDE_DIR}
)

if (!WIN32)
    target_link_libraries(dlsd PRIVATE -lm)
endif()

if (DLS_SERVER)
    target_link_libraries(dlsd PRIVATE
        protobuf::libprotobuf
    )
endif()

install(TARGETS dlsd
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
)

=== fltkguis/CMakeLists.txt ===
#-----------------------------------------------------------------------------
#
# Copyright (C) 2012 - 2017  Florian Pose <fp@igh-essen.com>
#               2022         Bjarne von Horn <vh at igh dot de>
#
# This file is part of the data logging service (DLS).
#
# DLS is free software: you can redistribute it and/or modify it under the
# terms of the GNU Lesser General Public License as published by the Free
# Software Foundation, either version 3 of the License, or (at your option)
# any later version.
#
# DLS is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for
# more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with the DLS. If not, see <http://www.gnu.org/licenses/>.
#
#-----------------------------------------------------------------------------

add_executable(dls_ctl
    CtlDialogChannel.cpp
    CtlDialogChannels.cpp
    CtlDialogJob.cpp
    CtlDialogJobEdit.cpp
    CtlDialogMain.cpp
    CtlDialogMsg.cpp
    CtlJobPreset.cpp
    CtlMain.cpp
    fl_grid.cpp
)

target_link_libraries(dls_ctl
    EtherLab::pdcom5
    dls
    ${FLTK_LIBRARIES}
    uriparser::uriparser
    Threads::Threads
)

target_compile_options(dls_ctl PRIVATE -Wall)

target_include_directories(dls_ctl PRIVATE
    "${CMAKE_CURRENT_BINARY_DIR}/.."
    "${CMAKE_CURRENT_SOURCE_DIR}/.."
    ${FLTK_INCLUDE_DIR}
)

install(TARGETS dls_ctl
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
)
install(FILES dls_ctl.desktop DESTINATION "${CMAKE_INSTALL_DATADIR}/applications")



add_executable(dls_view
    ViewChannel.cpp
    ViewDialogExport.cpp
    ViewDialogMain.cpp
    ViewMain.cpp
    ViewViewData.cpp
    ViewViewMsg.cpp
    fl_grid.cpp
    fl_track_bar.cpp
)

target_link_libraries(dls_view
    dls
    ${FLTK_LIBRARIES}
    uriparser::uriparser
    Threads::Threads
)

target_compile_options(dls_view PRIVATE -Wall)

target_include_directories(dls_view PRIVATE
    "${CMAKE_CURRENT_BINARY_DIR}/.."
    "${CMAKE_CURRENT_SOURCE_DIR}/.."
    ${FLTK_INCLUDE_DIR}
)

install(TARGETS dls_view
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
)
install(FILES dls_view.desktop DESTINATION "${CMAKE_INSTALL_DATADIR}/applications")

install(FILES
    images/dls_view.png
    images/dls_ctl.png
    DESTINATION "${CMAKE_INSTALL_DATADIR}/icons/hicolor/32x32/apps"
)

install(FILES
    images/dls_ctl.svg
    images/dls_view.svg
    DESTINATION "${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps"
)

=== miniExample/CMakeLists.txt ===
#-----------------------------------------------------------------------------
#
# Copyright (C) 2012 - 2017  Florian Pose <fp@igh-essen.com>
#               2022         Bjarne von Horn <vh at igh dot de>
#
# This file is part of the data logging service (DLS).
#
# DLS is free software: you can redistribute it and/or modify it under the
# terms of the GNU Lesser General Public License as published by the Free
# Software Foundation, either version 3 of the License, or (at your option)
# any later version.
#
# DLS is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for
# more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with the DLS. If not, see <http://www.gnu.org/licenses/>.
#
#-----------------------------------------------------------------------------

cmake_minimum_required(VERSION 3.4)

project(MiniExample)

find_package(DlsWidgets REQUIRED)
find_package(Qt5 REQUIRED COMPONENTS Core Gui Svg Widgets Xml)
include(GNUInstallDirs)

add_executable(${PROJECT_NAME}
    main.cpp
    MainWindow.cpp
    MainWindow.h
    MainWindow.ui
)

set_target_properties(${PROJECT_NAME} PROPERTIES
    AUTOUIC ON
    AUTOMOC ON
    AUTORCC ON
)

target_link_libraries(${PROJECT_NAME} PUBLIC
    EtherLab::DlsWidgets
    Qt5::Gui Qt5::Widgets Qt5::Core Qt5::Xml Qt5::Svg
)

install(TARGETS ${PROJECT_NAME}
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
)

=== qmlgui/CMakeLists.txt ===
#-----------------------------------------------------------------------------
#
# Copyright (C) 2012 - 2017  Florian Pose <fp@igh-essen.com>
#               2022         Bjarne von Horn <vh at igh dot de>
#
# This file is part of the data logging service (DLS).
#
# DLS is free software: you can redistribute it and/or modify it under the
# terms of the GNU Lesser General Public License as published by the Free
# Software Foundation, either version 3 of the License, or (at your option)
# any later version.
#
# DLS is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for
# more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with the DLS. If not, see <http://www.gnu.org/licenses/>.
#
#-----------------------------------------------------------------------------

cmake_minimum_required(VERSION 3.4)

project(QmlGui)

find_package(DlsWidgets REQUIRED)
find_package(Qt5 REQUIRED COMPONENTS Core Gui Svg Widgets Xml QuickWidgets Qml)
include(GNUInstallDirs)

add_executable(${PROJECT_NAME}
    main.cpp
    dlswidget.cpp
    dlswidget.h
    qmlgui.qrc
)

set_target_properties(${PROJECT_NAME} PROPERTIES
    AUTOMOC ON
    AUTORCC ON
)

target_link_libraries(${PROJECT_NAME} PUBLIC
    EtherLab::DlsWidgets
    Qt5::Gui Qt5::Widgets Qt5::Core Qt5::Xml Qt5::Svg Qt5::QuickWidgets Qt5::Qml
)

install(TARGETS ${PROJECT_NAME}
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
)

=== script/CMakeLists.txt ===
#-----------------------------------------------------------------------------
#
# Copyright (C) 2012 - 2017  Florian Pose <fp@igh-essen.com>
#               2022         Bjarne von Horn <vh at igh dot de>
#
# This file is part of the data logging service (DLS).
#
# DLS is free software: you can redistribute it and/or modify it under the
# terms of the GNU Lesser General Public License as published by the Free
# Software Foundation, either version 3 of the License, or (at your option)
# any later version.
#
# DLS is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for
# more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with the DLS. If not, see <http://www.gnu.org/licenses/>.
#
#-----------------------------------------------------------------------------

set(BINDIR ${CMAKE_INSTALL_FULL_BINDIR})
configure_file(dls.service.in "${CMAKE_CURRENT_BINARY_DIR}/dls.service" @ONLY)
configure_file(profile.sh.in "${CMAKE_CURRENT_BINARY_DIR}/profile.sh" @ONLY)

if(DLSD_INSTALL_SERVICE)
    install(FILES "${CMAKE_CURRENT_BINARY_DIR}/dls.service" DESTINATION "${DLSD_INSTALL_SERVICE}")
endif()

install(PROGRAMS dls_quota.pl DESTINATION ${CMAKE_INSTALL_BINDIR} RENAME dls_quota)
install(PROGRAMS dls_status.pl DESTINATION ${CMAKE_INSTALL_BINDIR} RENAME dls_status)
install(
    FILES "${CMAKE_CURRENT_BINARY_DIR}/profile.sh"
    DESTINATION "${CMAKE_INSTALL_SYSCONFDIR}/profile.d"
    RENAME dls.sh
)
install(FILES sysconfig DESTINATION "${DLS_ENVIRONMENT_FILE_LOCATION}" RENAME dls)

=== tool/CMakeLists.txt ===
#-----------------------------------------------------------------------------
#
# Copyright (C) 2012 - 2017  Florian Pose <fp@igh-essen.com>
#               2022         Bjarne von Horn <vh at igh dot de>
#
# This file is part of the data logging service (DLS).
#
# DLS is free software: you can redistribute it and/or modify it under the
# terms of the GNU Lesser General Public License as published by the Free
# Software Foundation, either version 3 of the License, or (at your option)
# any later version.
#
# DLS is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for
# more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with the DLS. If not, see <http://www.gnu.org/licenses/>.
#
#-----------------------------------------------------------------------------

add_executable(tool
    Export.cpp
    Index.cpp
    List.cpp
    main.cpp
)

target_include_directories(tool PRIVATE
    "${CMAKE_CURRENT_BINARY_DIR}"
    "${CMAKE_CURRENT_SOURCE_DIR}/.."
)

target_link_libraries(tool PRIVATE dls uriparser::uriparser)

target_compile_options(tool PRIVATE -Wall)

set_target_properties(tool PROPERTIES
    RUNTIME_OUTPUT_NAME dls
)

install(TARGETS tool
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
)

=== widgets/CMakeLists.txt ===
#-----------------------------------------------------------------------------
#
# Copyright (C) 2012 - 2017  Florian Pose <fp@igh-essen.com>
#               2022         Bjarne von Horn <vh at igh dot de>
#
# This file is part of the data logging service (DLS).
#
# DLS is free software: you can redistribute it and/or modify it under the
# terms of the GNU Lesser General Public License as published by the Free
# Software Foundation, either version 3 of the License, or (at your option)
# any later version.
#
# DLS is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for
# more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with the DLS. If not, see <http://www.gnu.org/licenses/>.
#
#-----------------------------------------------------------------------------

set(DlsWidgets_PUBLIC_HEADERS
    DlsWidgets/export.h
    DlsWidgets/Graph.h
    DlsWidgets/Layer.h
    DlsWidgets/Model.h
    DlsWidgets/Scale.h
    DlsWidgets/Section.h
    DlsWidgets/Translator.h
    DlsWidgets/ValueScale.h
)

# copy resource file to build dir and compile translation files
set(TS_FILES DlsWidgets_de.ts DlsWidgets_fr.ts)
configure_file(DlsWidgetsTs.qrc "${CMAKE_CURRENT_BINARY_DIR}" COPYONLY)
qt5_add_translation(QM_FILES ${TS_FILES})

add_library(DlsWidgets
    Channel.cpp
    ColorDelegate.cpp
    DatePickerDialog.cpp
    Dir.cpp
    ExportDialog.cpp
    FilterDialog.cpp
    Graph.cpp
    Job.cpp
    Layer.cpp
    Model.cpp
    Node.cpp
    Scale.cpp
    Section.cpp
    SectionDialog.cpp
    SectionModel.cpp
    Translator.cpp
    ValueScale.cpp

    Channel.h
    ColorDelegate.h
    DatePickerDialog.h
    Dir.h
    ExportDialog.h
    FilterDialog.h
    Job.h
    Node.h
    SectionDialog.h
    SectionModel.h

    DatePickerDialog.ui
    ExportDialog.ui
    FilterDialog.ui
    SectionDialog.ui

    DlsWidgets.qrc
    "${CMAKE_CURRENT_BINARY_DIR}/DlsWidgetsTs.qrc"

    ${QM_FILES}
    ${DlsWidgets_PUBLIC_HEADERS}
)

set_target_properties(DlsWidgets PROPERTIES
    AUTOUIC ON
    AUTOMOC ON
    AUTORCC ON
    PUBLIC_HEADER "${DlsWidgets_PUBLIC_HEADERS}"
)

target_link_libraries(DlsWidgets
    PUBLIC dls
    PUBLIC Qt5::Svg Qt5::Widgets Qt5::Core Qt5::Xml
    PRIVATE Qt5::PrintSupport "${PCRE_LIBRARIES}"
)

target_compile_options(DlsWidgets PRIVATE -Wall)

target_include_directories(DlsWidgets
    PUBLIC
        "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>"
        "$<INSTALL_INTERFACE:include>"
    PRIVATE
        "${PCRE_INCLUDE_DIRS}"
)

if (DLS_DESIGNER)
    target_compile_definitions(DlsWidgets
        PUBLIC "DLS_DESIGNER=1"
        PRIVATE "DLS_QT5" "QDESIGNER_EXPORT_WIDGETS"
    )
    target_link_libraries(DlsWidgets PRIVATE Qt5::Designer)

    target_sources(DlsWidgets
        PRIVATE
        Plugin.cpp
        WidgetCollection.cpp
        Plugin.h
        WidgetCollection.h
        )
else()
    target_compile_definitions(DlsWidgets PUBLIC "DLS_NO_DESIGNER")
endif()

## install target and headers

install(TARGETS DlsWidgets
    EXPORT DlsWidgetsTargets
    ARCHIVE DESTINATION       "${CMAKE_INSTALL_LIBDIR}"
    LIBRARY DESTINATION       "${CMAKE_INSTALL_LIBDIR}"
    RUNTIME DESTINATION       "${CMAKE_INSTALL_BINDIR}"
    PUBLIC_HEADER DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/DlsWidgets"
)

if (DLS_DESIGNER)
    # Call qmake to query the plugin installation directory.
    get_target_property(QT_QMAKE_EXECUTABLE Qt5::qmake LOCATION)
    execute_process(COMMAND ${QT_QMAKE_EXECUTABLE} -query QT_INSTALL_PLUGINS
        OUTPUT_VARIABLE QT_INSTALL_PLUGINS OUTPUT_STRIP_TRAILING_WHITESPACE
    )

    # Install the library in QtDesigner plugin directory
    install(TARGETS DlsWidgets
        LIBRARY DESTINATION "${QT_INSTALL_PLUGINS}/designer"
        RUNTIME DESTINATION "${QT_INSTALL_PLUGINS}/designer"
    )
endif()

set(ConfigPackageLocation "${CMAKE_INSTALL_LIBDIR}/cmake/DlsWidgets")
configure_package_config_file(Config.cmake.in
        "${CMAKE_CURRENT_BINARY_DIR}/DlsWidgetsConfig.cmake"
    INSTALL_DESTINATION ${ConfigPackageLocation}
)
write_basic_package_version_file(
        "${CMAKE_CURRENT_BINARY_DIR}/DlsWidgetsConfigVersion.cmake"
    COMPATIBILITY SameMajorVersion
)

install(EXPORT DlsWidgetsTargets
    NAMESPACE EtherLab::
    FILE DlsWidgetsTargets.cmake
    DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/DlsWidgets
)
install(FILES
        ${CMAKE_CURRENT_BINARY_DIR}/DlsWidgetsConfig.cmake
        ${CMAKE_CURRENT_BINARY_DIR}/DlsWidgetsConfigVersion.cmake
    DESTINATION ${ConfigPackageLocation}
)
export(EXPORT DlsWidgetsTargets
    FILE "${CMAKE_CURRENT_BINARY_DIR}/DlsWidgetsTargets.cmake"
    NAMESPACE EtherLab::
)

=== debian/control ===
Source: dls
Priority: optional
Maintainer: Andreas Stewering-Bone <ab@igh.de>
Build-Depends: debhelper (>= 9), cmake, libfftw3-dev, libfltk1.3-dev, libprotobuf-dev, protobuf-compiler, libpcre3-dev, libpcre3-dev, liburiparser-dev, libxml2-dev, libpcre3, libpcre3-dev, pkg-config, qtchooser, qtbase5-dev, qttools5-dev, qttools5-dev-tools, libqt5svg5-dev, zlib1g-dev, libpdcom5-dev, desktop-file-utils, shared-mime-info, dpkg (>= 1.17.0), fluid
Standards-Version: 3.9.5
Section: libs
Homepage: http://www.etherlab.org

Package: libdls-dev
Section: libdevel
Architecture: any
Depends: libdls (= ${binary:Version}), ${misc:Depends}, zlib1g-dev, libfftw3-dev
Description: DLS data service library
 DLS is a process data logging service, capable of capturing high-frequency
 data over a long time and storing it in a compressed way. The aim is to allow
 the user unlimited high-performance access to the data at any time. Be it a
 year's overview or a small signal peak in fractions of a second.
 .
 Header files of the basic interface library

Package: libdls
Architecture: any
Section: libs
Depends: libxml2, ${shlibs:Depends}, ${misc:Depends}, ${misc:Pre-Depends}
Description: DLS data service library
 DLS is a process data logging service, capable of capturing high-frequency
 data over a long time and storing it in a compressed way. The aim is to allow
 the user unlimited high-performance access to the data at any time. Be it a
 year's overview or a small signal peak in fractions of a second.
 .
 Basic interface library

Package: libdls-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libdls (= ${binary:Version}), ${misc:Depends}
Description: DLS data service library
 DLS is a process data logging service, capable of capturing high-frequency
 data over a long time and storing it in a compressed way. The aim is to allow
 the user unlimited high-performance access to the data at any time. Be it a
 year's overview or a small signal peak in fractions of a second.
 Basic interface library
 .
 This package contains the debugging symbols for libdls


Package: libdlsqtwidgets-dev
Architecture: any
Section: libdevel
Priority: extra
Depends: libdlsqtwidgets (= ${binary:Version}), libdls-dev (= ${binary:Version}), ${misc:Depends}, ${misc:Pre-Depends}, ${shlibs:Depends}
Description: DLS data service library
 DLS is a process data logging service, capable of capturing high-frequency
 data over a long time and storing it in a compressed way. The aim is to allow
 the user unlimited high-performance access to the data at any time. Be it a
 year's overview or a small signal peak in fractions of a second.
 QT5 widget library
 .
 Header files

Package: libdlsqtwidgets
Architecture: any
Section: libs
Priority: extra
Depends: libdlsqtwidgets (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: DLS data service  visualisation library
 DLS is a process data logging service, capable of capturing high-frequency
 data over a long time and storing it in a compressed way. The aim is to allow
 the user unlimited high-performance access to the data at any time. Be it a
 year's overview or a small signal peak in fractions of a second.
 QT5 widget library
 .
 Runtime library

Package: libdlsqtwidgets-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libdlsqtwidgets (= ${binary:Version}), ${misc:Depends}
Description: DLS data service visualisation library
 DLS is a process data logging service, capable of capturing high-frequency
 data over a long time and storing it in a compressed way. The aim is to allow
 the user unlimited high-performance access to the data at any time. Be it a
 year's overview or a small signal peak in fractions of a second.
 Basic interface library
 .
 This package contains the debugging symbols for libdlsqtwidgets

Package: dls-gui
Architecture: any
Section: science
Priority: extra
Depends: libdlsqtwidgets (= ${binary:Version}),libdls (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}, desktop-file-utils, shared-mime-info
Description: DLS data service visualisation frontend
 DLS is a process data logging service, capable of capturing high-frequency
 data over a long time and storing it in a compressed way. The aim is to allow
 the user unlimited high-performance access to the data at any time. Be it a
 year's overview or a small signal peak in fractions of a second.
 QT5 visualisation front end

Package: dls-server
Architecture: any
Section: science
Priority: extra
Depends: libdls (= ${binary:Version}), ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}, desktop-file-utils, shared-mime-info
Description: DLS data service backend server
 DLS is a process data logging service, capable of capturing high-frequency
 data over a long time and storing it in a compressed way. The aim is to allow
 the user unlimited high-performance access to the data at any time. Be it a
 year's overview or a small signal peak in fractions of a second.
 Backend server

## dls 1.6.8.g048520c

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,7 +22,7 @@
 
 cmake_minimum_required(VERSION 3.6)
 
-project(dls VERSION 1.6.2)
+project(dls VERSION 1.6.8) # remember to edit NEWS file
 
 include(CMakeDependentOption)
 include(CMakePackageConfigHelpers)
@@ -48,7 +48,7 @@
 find_package(LibXml2 REQUIRED)
 find_package(PkgConfig)
 pkg_check_modules(FFTW3 REQUIRED fftw3)
-pkg_check_modules(PCRE REQUIRED libpcre)
+pkg_check_modules(PCRE REQUIRED libpcre2-8)
 
 set(protobuf_MODULE_COMPATIBLE ON)
 find_package(Protobuf CONFIG)

=== daemon/CMakeLists.txt ===
--- 
+++ 
@@ -45,6 +45,11 @@
     ${DLSD_SOURCES}
 )
 
+set_target_properties(dlsd PROPERTIES
+    CXX_STANDARD 17
+    CXX_STANDARD_REQUIRED 1
+)
+
 target_link_libraries(dlsd PRIVATE
     dls
     EtherLab::pdcom5

=== doku/Makefile ===
#------------------------------------------------------------------------------
#
#  LaTeX Makefile
#
#------------------------------------------------------------------------------

LATEX_OPTIONS := -file-line-error-style -halt-on-error

#------------------------------------------------------------------------------

first: dvi

all: dvi pdf

dvi: dls_doku.dvi dls_doku_en.dvi

pdf:  dls_doku.pdf dls_doku_en.pdf

%.dvi : %.tex
	./update-version.sh --no-cd
	latex $(LATEX_OPTIONS) \\nonstopmode\\input{$<}
	makeindex $(patsubst %.tex,%.idx,$<)
	latex $(LATEX_OPTIONS) \\nonstopmode\\input{$<}

%.pdf : %.tex
	./update-version.sh --no-cd
	latex $(LATEX_OPTIONS) \\nonstopmode\\input{$<}
	makeindex $(patsubst %.tex,%.idx,$<)
	pdflatex $(LATEX_OPTIONS) $<
	pdflatex $(LATEX_OPTIONS) $<


clean:
	@rm -f *.aux *.dvi *.idx \
			*.ilg *.ind *.idx *.log \
			*.out *.pdf *.ps \
			*.toc *.lot *.lof \
			*.lol *.glo \
			*.bak bilder/*.bak \
			version.tex

.PHONY:  first dvi all pdf clean

#------------------------------------------------------------------------------

=== gui/CMakeLists.txt ===

#-----------------------------------------------------------------------------
#
# Copyright (C) 2012 - 2017  Florian Pose <fp@igh-essen.com>
#               2022         Bjarne von Horn <vh at igh dot de>
#
# This file is part of the data logging service (DLS).
#
# DLS is free software: you can redistribute it and/or modify it under the
# terms of the GNU Lesser General Public License as published by the Free
# Software Foundation, either version 3 of the License, or (at your option)
# any later version.
#
# DLS is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for
# more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with the DLS. If not, see <http://www.gnu.org/licenses/>.
#
#-----------------------------------------------------------------------------

# copy resource file to build dir and compile translation files
set(TS_FILES dlsgui_de.ts dlsgui_fr.ts)
configure_file(dlsguits.qrc "${CMAKE_CURRENT_BINARY_DIR}" COPYONLY)
qt5_add_translation(QM_FILES ${TS_FILES})


add_executable(dlsgui
    AboutDialog.cpp
    LogWindow.cpp
    MainWindow.cpp
    SettingsDialog.cpp
    UriDialog.cpp
    main.cpp

    AboutDialog.ui
    LogWindow.ui
    MainWindow.ui
    SettingsDialog.ui
    UriDialog.ui

    AboutDialog.h
    LogWindow.h
    MainWindow.h
    SettingsDialog.h
    UriDialog.h

    dlsgui.qrc
    "${CMAKE_CURRENT_BINARY_DIR}/dlsguits.qrc"

    dlsgui.rc
    ${QM_FILES}
)

set_target_properties(dlsgui PROPERTIES
    AUTOUIC ON
    AUTOMOC ON
    AUTORCC ON
    WIN32_EXECUTABLE ON
)

target_link_libraries(dlsgui PRIVATE
    dls
    DlsWidgets
    Qt5::Svg Qt5::Widgets Qt5::Core Qt5::Xml Qt5::Gui
)

target_compile_options(dlsgui PRIVATE -Wall)

install(TARGETS dlsgui
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
)

if(NOT WIN32)
    install(FILES images/dlsgui.svg images/dlsgui-view.svg
        DESTINATION "${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps"
    )

    install(FILES dlsgui.desktop DESTINATION "${CMAKE_INSTALL_DATADIR}/applications")

    install(FILES dlsgui-mime.xml DESTINATION "${CMAKE_INSTALL_DATADIR}/mime/packages")
endif()

=== lib/CMakeLists.txt ===
#-----------------------------------------------------------------------------
#
# Copyright (C) 2012 - 2017  Florian Pose <fp@igh-essen.com>
#               2022         Bjarne von Horn <vh at igh dot de>
#
# This file is part of the data logging service (DLS).
#
# DLS is free software: you can redistribute it and/or modify it under the
# terms of the GNU Lesser General Public License as published by the Free
# Software Foundation, either version 3 of the License, or (at your option)
# any later version.
#
# DLS is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for
# more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with the DLS. If not, see <http://www.gnu.org/licenses/>.
#
#-----------------------------------------------------------------------------

protobuf_generate_cpp(PROTO_SRC PROTO_HDR ../proto/dls.proto)

add_library(dls
    Base64.cpp
    BaseMessage.cpp
    BaseMessageList.cpp
    Channel.cpp
    ChannelPreset.cpp
    Chunk.cpp
    Data.cpp
    Dir.cpp
    Export.cpp
    File.cpp
    globals.cpp
    Job.cpp
    JobPreset.cpp
    mdct.cpp
    Time.cpp
    XmlParser.cpp
    XmlTag.cpp
    ZLib.cpp
    ${PROTO_SRC}
    ${PROTO_HDR}
)

if (DLS_HDF5_EXPORT)
    target_sources(dls PRIVATE HDF5Export.cpp)
    target_link_libraries(dls PRIVATE
        ${HDF5_LIBRARIES}
    )

    target_include_directories(dls PRIVATE
        ${HDF5_INCLUDE_DIRS}
    )

    target_compile_definitions(dls PRIVATE
        ${HDF5_DEFINITIONS}
    )
    target_compile_definitions(dls PUBLIC
        DLS_HDF5_EXPORT
    )
endif()

target_compile_options(dls PRIVATE -Wall)

set(DLS_PUBLIC_HEADERS
    LibDLS/Channel.h
    LibDLS/ChannelPreset.h
    LibDLS/Chunk.h
    LibDLS/Data.h
    LibDLS/Dir.h
    LibDLS/Exception.h
    LibDLS/Export.h
    LibDLS/globals.h
    LibDLS/Job.h
    LibDLS/JobPreset.h
    LibDLS/Time.h
)

target_include_directories(dls PUBLIC
    "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>"
    "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>"
    "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/..>"
    "$<INSTALL_INTERFACE:include>"
)

target_link_libraries(dls PRIVATE
    ${FFTW3_LIBRARIES}
    ${LIBXML2_LIBRARIES}
    ${PCRE_LIBRARIES}
    protobuf::libprotobuf
    Threads::Threads
    ${ZLIB_LIBRARIES}
    uriparser::uriparser
)

target_include_directories(dls PRIVATE
    ${FFTW3_INCLUDE_DIRS}
    ${LIBXML2_INCLUDE_DIR}
    ${PCRE_INCLUDE_DIRS}
    ${ZLIB_INCLUDE_DIRS}
)

if (NOT WIN32)
    target_link_libraries(dls PRIVATE -lm)
else()
    target_link_libraries(dls PRIVATE ws2_32)
endif()

set_target_properties(dls PROPERTIES
    PUBLIC_HEADER "${DLS_PUBLIC_HEADERS}"
    SOVERSION 8
    VERSION 8.0.0
    CXX_STANDARD 17
    CXX_STANDARD_REQUIRED 1
)

## install target and headers

install(TARGETS dls
    EXPORT dlsTargets
    ARCHIVE DESTINATION       "${CMAKE_INSTALL_LIBDIR}"
    LIBRARY DESTINATION       "${CMAKE_INSTALL_LIBDIR}"
    RUNTIME DESTINATION       "${CMAKE_INSTALL_BINDIR}"
    PUBLIC_HEADER DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/LibDLS"
)

set(ConfigPackageLocation "${CMAKE_INSTALL_LIBDIR}/cmake/dls")
configure_package_config_file(Config.cmake.in
        "${CMAKE_CURRENT_BINARY_DIR}/dls-config.cmake"
    INSTALL_DESTINATION ${ConfigPackageLocation}
)
write_basic_package_version_file(
        "${CMAKE_CURRENT_BINARY_DIR}/dls-configVersion.cmake"
    COMPATIBILITY SameMajorVersion
)

install(EXPORT dlsTargets
    NAMESPACE EtherLab::
    FILE dlsTargets.cmake
    DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/dls
)
install(FILES
        ${CMAKE_CURRENT_BINARY_DIR}/dls-config.cmake
        ${CMAKE_CURRENT_BINARY_DIR}/dls-configVersion.cmake
    DESTINATION ${ConfigPackageLocation}
)
export(EXPORT dlsTargets
    FILE "${CMAKE_CURRENT_BINARY_DIR}/dlsTargets.cmake"
    NAMESPACE EtherLab::
)

=== script/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #-----------------------------------------------------------------------------
 #
-# Copyright (C) 2012 - 2017  Florian Pose <fp@igh-essen.com>
+# Copyright (C) 2012 - 2025  Florian Pose <fp@igh.de>
 #               2022         Bjarne von Horn <vh at igh dot de>
 #
 # This file is part of the data logging service (DLS).
@@ -22,10 +22,13 @@
 
 set(BINDIR ${CMAKE_INSTALL_FULL_BINDIR})
 configure_file(dls.service.in "${CMAKE_CURRENT_BINARY_DIR}/dls.service" @ONLY)
+configure_file(dls_quota.service.in "${CMAKE_CURRENT_BINARY_DIR}/dls_quota.service" @ONLY)
 configure_file(profile.sh.in "${CMAKE_CURRENT_BINARY_DIR}/profile.sh" @ONLY)
 
 if(DLSD_INSTALL_SERVICE)
     install(FILES "${CMAKE_CURRENT_BINARY_DIR}/dls.service" DESTINATION "${DLSD_INSTALL_SERVICE}")
+    install(FILES "${CMAKE_CURRENT_BINARY_DIR}/dls_quota.service" DESTINATION "${DLSD_INSTALL_SERVICE}")
+    install(FILES dls_quota.timer DESTINATION "${DLSD_INSTALL_SERVICE}")
 endif()
 
 install(PROGRAMS dls_quota.pl DESTINATION ${CMAKE_INSTALL_BINDIR} RENAME dls_quota)

=== widgets/CMakeLists.txt ===
--- 
+++ 
@@ -22,6 +22,7 @@
 
 set(DlsWidgets_PUBLIC_HEADERS
     DlsWidgets/export.h
+    DlsWidgets/DlsTypes.h
     DlsWidgets/Graph.h
     DlsWidgets/Layer.h
     DlsWidgets/Model.h
@@ -102,21 +103,16 @@
 )
 
 if (DLS_DESIGNER)
-    target_compile_definitions(DlsWidgets
-        PUBLIC "DLS_DESIGNER=1"
-        PRIVATE "DLS_QT5" "QDESIGNER_EXPORT_WIDGETS"
-    )
-    target_link_libraries(DlsWidgets PRIVATE Qt5::Designer)
-
-    target_sources(DlsWidgets
-        PRIVATE
+    add_library(DlsWidgetsPlugin SHARED
         Plugin.cpp
         WidgetCollection.cpp
         Plugin.h
         WidgetCollection.h
-        )
-else()
-    target_compile_definitions(DlsWidgets PUBLIC "DLS_NO_DESIGNER")
+    )
+    set_target_properties(DlsWidgetsPlugin PROPERTIES
+        AUTOMOC ON
+    )
+    target_link_libraries(DlsWidgetsPlugin PRIVATE Qt5::Designer DlsWidgets)
 endif()
 
 ## install target and headers
@@ -137,7 +133,7 @@
     )
 
     # Install the library in QtDesigner plugin directory
-    install(TARGETS DlsWidgets
+    install(TARGETS DlsWidgetsPlugin
         LIBRARY DESTINATION "${QT_INSTALL_PLUGINS}/designer"
         RUNTIME DESTINATION "${QT_INSTALL_PLUGINS}/designer"
     )

=== debian/changelog ===
dls (1.6.8.g048520c-0) UNRELEASED; urgency=medium

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Thu, 06 Nov 2025 11:41:15 +0000

dls (1.4.0-21) UNRELEASED; urgency=medium

  * Non-maintainer upload.
  * Update package 
  * Renumbering
  * Fix write permission for group dls on /vol/dls_data
  * Fix permissions on dls_ctl
  * Update to 415d03727b56
  * Reorder dls-server postinstall
  * Update to 0f1f804be808
  * Switch to git, 0d37d3b (HEAD -> master, origin/master, origin/HEAD) Added switch -r to export relative times via command-line tool.
  * 882021c (HEAD -> master, origin/master, origin/HEAD) XML escaping in messages.
  * ec2a862 (HEAD -> master, origin/master, origin/HEAD) Added missing headers.
  * 04269fc (HEAD -> master, tag: 1.4.0-rc3, origin/master, origin/HEAD) Merge branch 'rc3' into 'master'
  * Fix debian patch
  * 9280cdd (HEAD -> master, origin/master, origin/HEAD) Merge branch 'to_utf8' into 'master'
  * b44e2ec (HEAD -> master, origin/master, origin/HEAD) Merge branch 'fix-workflox' into 'master'

 -- Andreas Stewering-Bone <andreas.stewering-bone@gmx.de>  Fri, 16 Dec 2022 15:08:56 +0100

dls (1.4.0-9) unstable; urgency=medium

  * Update auf HG b41a7f101cef
  * Fix dls.service
  * Fix
  * Fix profile path
  * Fix profile path
  * Update to a2e78d0dd817
  * Update to 96661514eb86
  * Move to Qt5 
  * Cleanup packet, native systemd handling
  * Fix debian testing dependencies (qt5-default, dh-systemd)
  * Release
	
 -- Andreas Stewering-Bone <ab@igh.de>  Thu, 31 Dec 2020 13:03:54 +0100

dls (1.4.0-1) unstable; urgency=low

  * Initial release

 -- Andreas Stewering-Bone <andreas.stewering-bone@gmx.de>  Thu, 04 Oct 2018 22:51:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: dls
 Priority: optional
 Maintainer: Andreas Stewering-Bone <ab@igh.de>
-Build-Depends: debhelper (>= 9), cmake, libfftw3-dev, libfltk1.3-dev, libprotobuf-dev, protobuf-compiler, libpcre3-dev, libpcre3-dev, liburiparser-dev, libxml2-dev, libpcre3, libpcre3-dev, pkg-config, qtchooser, qtbase5-dev, qttools5-dev, qttools5-dev-tools, libqt5svg5-dev, zlib1g-dev, libpdcom5-dev, desktop-file-utils, shared-mime-info, dpkg (>= 1.17.0), fluid
+Build-Depends: debhelper (>= 9), cmake, libfftw3-dev, libfltk1.3-dev, libprotobuf-dev, protobuf-compiler, libpcre2-dev, liburiparser-dev, libxml2-dev, libpcre2-8-0, pkg-config, qtchooser, qtbase5-dev, qttools5-dev, qttools5-dev-tools, libqt5svg5-dev, zlib1g-dev, libpdcom5-dev, desktop-file-utils, shared-mime-info, dpkg (>= 1.17.0), fluid
 Standards-Version: 3.9.5
 Section: libs
 Homepage: http://www.etherlab.org

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT := qt5

# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=-format

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@ --parallel --with systemd --buildsystem=cmake

override_dh_auto_configure:
	dpkg-parsechangelog --show-field Version > revision
	mkdir -p $(CURDIR)/debian/tmp/lib/systemd/system/
	dh_auto_configure -- -DDLSD_INSTALL_SERVICE=/lib/systemd/system -DDLS_ENVIRONMENT_FILE_LOCATION=/etc/default

.PHONY:
	override_dh_strip

override_dh_strip:
	dh_strip --dbg-package=libdls-dbg
	dh_strip --dbg-package=libdlsqtwidgets-dbg


override_dh_shlibdeps:
	dh_shlibdeps -l $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/

override_dh_systemd_enable:
	dh_systemd_enable --no-enable

override_dh_systemd_start:
	dh_systemd_start --restart-after-upgrade

## dls pmacanalyse-2.1.0

=== docs/requirements.txt ===
# Any extra requirements needed to import the module for autodocs. E.g.:
#   numpy >= 1.16

=== documentation/Makefile ===
# this is the doxygen output dir
DOCDIR := doxygen

# this is the doxygen executable
DOXYGEN := doxygen

# add the documentation files to the install target
all install: $(DOCDIR)

# rule for documentation
$(DOCDIR): config.cfg manual.src
	mkdir -p $(DOCDIR)
	$(DOXYGEN) config.cfg

# Remove entire documentation/doxygen dir on clean
clean:
	rm -rf $(DOCDIR)

## dls pmaccontrol-3.0.1b4

=== Makefile ===
###### EDIT #####################
#Directory with ui and resource files
RESOURCE_DIR = dls_pmaccontrol

#Directory for compiled resources
COMPILED_DIR = dls_pmaccontrol

#UI files to compile
UI_FILES = formAxisSettings.ui  formControl.ui  formCSStatus.ui  formEnergise.ui  formGather.ui  formGlobalStatus.ui  formStatus.ui  formWatches.ui formPpmacAxisSettings.ui  formLogin.ui formPpmacCSStatus.ui
#Qt resource files to compile
RESOURCES =

#pyuic5 and pyrcc5 binaries
PYUIC = pyuic5
PYRCC = pyrcc5

#################################
# DO NOT EDIT FOLLOWING

COMPILED_UI = $(UI_FILES:%.ui=$(COMPILED_DIR)/ui_%.py)
COMPILED_RESOURCES = $(RESOURCES:%.qrc=$(COMPILED_DIR)/%_rc.py)

all : resources ui

resources : $(COMPILED_RESOURCES)

ui : $(COMPILED_UI)

$(COMPILED_DIR)/ui_%.py : $(RESOURCE_DIR)/%.ui
	$(PYUIC) $< -o $@

$(COMPILED_DIR)/%_rc.py : $(RESOURCE_DIR)/%.qrc
	$(PYRCC) $< -o $@

clean :
	$(RM) $(COMPILED_UI) $(COMPILED_RESOURCES) $(COMPILED_UI:.py=.pyc) $(COMPILED_RESOURCES:.py=.pyc)

=== requirements.txt ===
bcrypt==3.2.2
cffi==1.15.0
cryptography==37.0.2
dls-pmaclib==3.0.1b1
mock==4.0.3
numpy==1.22.3
packaging==21.3
paramiko==2.10.4
pycparser==2.21
PyNaCl==1.5.0
pyparsing==3.0.8
PyQt5==5.15.6
PyQt5-Qt5==5.15.2
PyQt5-sip==12.10.1
pyserial==3.5
PythonQwt==0.10.1
QtPy==2.1.0
six==1.16.0
